/* Unique sequence numbers */
CREATE SEQUENCE "autoseq" start 1 increment 1; 
CREATE SEQUENCE "hostid" start 1 increment 1; 

/* Actual filtered packets */
CREATE TABLE "ip_quads" (	
	"id"		int4 DEFAULT nextval('autoseq'::text) NOT NULL,
	"host"	int4 NOT NULL,
	"ts"		timestamp NOT NULL,
	"proto"	int4 NOT NULL,
	"src_ip"	inet NOT NULL,
	"dst_ip" 	inet NOT NULL,
	"src_port"	int4 NOT NULL,
	"dst_port" 	int4 NOT NULL,
	CONSTRAINT "ip_quads_pkey" PRIMARY KEY ("id")
);

CREATE TABLE "hosts" (
	"id"		int4 DEFAULT nextval('hostid'::text) NOT NULL,
	"friendly"	varchar(64) NOT NULL,
	"ip"		inet,
	CONSTRAINT "hosts_key" PRIMARY KEY ("id")
);

/* Our indexes */
CREATE INDEX "dst_ip_ip_quads_key" ON "ip_quads" ("dst_ip");
CREATE INDEX "proto_ip_quads_key" ON "ip_quads" ("proto");
CREATE INDEX "ip_hosts_key" ON "hosts" ("ip");
